#include <iostream>
#include <vector>
#include <iomanip>

using namespace std;


int main()
{

    int n;
    cin>>n;
    int* Aray1 = new int(n);
    float* Aray2 = new float(n);
    double result;

    for (int i=0; i<n; i++){
        int a;
        float b;
        cin>>a>>b;
        Aray1[i] = a;
        Aray2[i] = b;
    }
    int erasenum;
    float procent;
    vector<int> nums;
    for (int i=0; i<n; i++){
        procent = 0;
        int erasenum;
        for (int k=0;k<n;k++){
            if (Aray2[k]>procent){
                procent = Aray2[k];
                erasenum = k;
            }
        }
        nums.push_back(erasenum);
        Aray2[erasenum] = 0;
        double money = 0;
        for (unsigned int j = 0;j<nums.size();j++){
            money += Aray1[nums[j]]*(procent/100);
        }
        if(money > result){
            result = money;
        }


    }

    cout<<fixed<<setprecision(2)<<result<<endl;

    return 0;
}